summaryrefslogtreecommitdiffstats
path: root/run-script
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:31 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:31 +0000
commitb86570f63e533abcbcb97c2572e0e5732a96307b (patch)
treecabc83be691530ae685c45a8bc7620ccc0e1ebdf /run-script
parentInitial commit. (diff)
downloaddpkg-b86570f63e533abcbcb97c2572e0e5732a96307b.tar.xz
dpkg-b86570f63e533abcbcb97c2572e0e5732a96307b.zip
Adding upstream version 1.20.13.upstream/1.20.13upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'run-script')
-rwxr-xr-xrun-script21
1 files changed, 21 insertions, 0 deletions
diff --git a/run-script b/run-script
new file mode 100755
index 0000000..5f68a87
--- /dev/null
+++ b/run-script
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+top_srcdir="$(dirname "$0")"
+
+# To avoid using «readlink -f» or «realpath» we just change into the
+# desired directory and work from there.
+cd "$top_srcdir"
+cwd="$(pwd)"
+cd "$OLDPWD"
+
+# Set up the environment, to use local perl modules and data files.
+export PERL="${PERL:-perl}"
+export PERL5LIB="$cwd/scripts:$cwd/dselect/methods"
+export DPKG_DATADIR="$cwd/data"
+
+script="$1"
+shift 1
+
+exec "$PERL" "$cwd/$script" "$@"